Subject: [bug#74746] [PATCH 0/5] Update Docker to 28.1.1

From: [email-masked]
Date: Wed, 21 May 2025 14:32:28 +0000

Hello,

This is a WIP patch series to update Docker to version v28.1.1.
I got all phases to succeed, with the exception of the check phase,
which fails due to the lack of libsystemd package in one specific test.
The build log with the error is attached.

Packaging libsystemd because of one unit test seems too much work.
So I tried some stuff to avoid this test. For instance, I tried to use 
`(substitute` to remove 'github.com/docker/docker/daemon/logger/journald/internal/sdjournal'
from the list of folders contained in the variable base_pkg_list, but this didn't work.

By disabling the check phase, everything works fine.
I will continue to work on this in my spare time, but I'm really stuck in this phase and 
accept any suggestions or help :)

Greetings,
Arthur
 
Arthur Rodrigues (5):
  gnu: docker: Update copyright, Docker version and tarball hash
  gnu: docker: Add apparmor, openssl and shadow as inputs and update
    golang version
  gnu: docker: Update substitutions in patch-paths phase
  gnu: docker: Avoid build failing when looking for buildkit in PATH
  gnu: docker: Remove docker-<version> from out-bin
 
 gnu/packages/docker.scm | 97 +++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 53 deletions(-)

base-commit: 5f5d84beccc180f1b51474c0e47eb6e0d0c9175f
-- 
2.49.0